declare type TimeMeasurementKeys = 's' | 'ms' | 'us';
declare type PrintTimeMeasurementKeys = `${TimeMeasurementKeys}Print`;
declare type TimeMeasurements = {
    readonly [k in TimeMeasurementKeys]: number;
} & {
    [k in PrintTimeMeasurementKeys]: (label?: string) => void;
};
interface IElapsingTime extends TimeMeasurements {
    start(): void;
    stop(withReset?: boolean): void;
    reset(): void;
    avg: TimeMeasurements;
}
declare function ElapsingTime(): IElapsingTime;
declare const _default: new () => ReturnType<typeof ElapsingTime>;
export default _default;
